[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Bug#463598: /var/run/utmp exists, but wdm still doesn't register the session

Package: wdm
Version: 1.28-3.5
Followup-For: Bug #463598

Hello! Let me firstly thank you for your work on this package and for reading this:)
So here's what the report is about:
I've also noticed that wdm doesn't register the session it starts to utmp, but in my case /var/run/utmp exists on my system.
It's strange, because the "sessreg" command is in its place in file /etc/X11/wdm/Xstartup:
# Insert a utmp entry for the session
if grep -q ^use-sessreg /etc/X11/wdm/wdm.options; then
  exec sessreg -a -l $DISPLAY -u /var/run/utmp -x /etc/X11/wdm/Xservers $USER
and the option "use-sessreg" is enabled in /etc/X11/wdm/wdm.options.
I tried to install xdm and it does register the session with almost identical "sessreg" command (the only difference is the -x parameter which is set to "/etc/X11/xdm/Xservers" there)...
I reinstalled wdm with default configuration, but the problem remained there.
Then i tried to install wdm from sid, but it still doesn't register the session.
Wish you that the solution come easily,
Thank you,

-- System Information:
Debian Release: 5.0.4
  APT prefers stable
  APT policy: (500, 'stable')
Architecture: i386 (i686)

Kernel: Linux 2.6.26-tranquil1
Locale: LANG=uk_UA.UTF-8, LC_CTYPE=uk_UA.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages wdm depends on:
ii  debconf [debconf-2.0]     1.5.24         Debian configuration management sy
ii  libc6                     2.7-18lenny2   GNU C Library: Shared libraries
ii  libfontconfig1            2.6.0-3        generic font configuration library
ii  libice6                   2:1.0.4-1      X11 Inter-Client Exchange library
ii  libpam-modules            1.0.1-5+lenny1 Pluggable Authentication Modules f
ii  libpam-runtime            1.0.1-5+lenny1 Runtime support for the PAM librar
ii  libpam0g                  1.0.1-5+lenny1 Pluggable Authentication Modules l
ii  libselinux1               2.0.65-5       SELinux shared libraries
ii  libsm6                    2:1.0.3-2      X11 Session Management library
ii  libwraster3               0.92.0-8       Shared libraries of Window Maker r
ii  libx11-6                  2:1.1.5-2      X11 client-side library
ii  libxau6                   1:1.0.3-3      X11 authorisation library
ii  libxdmcp6                 1:1.0.2-3      X11 Display Manager Control Protoc
ii  libxext6                  2:1.0.4-1      X11 miscellaneous extension librar
ii  libxft2                   2.1.12-3       FreeType-based font drawing librar
ii  libxinerama1              2:1.0.3-2      X11 Xinerama extension library
ii  libxmu6                   2:1.0.4-1      X11 miscellaneous utility library
ii  psmisc                    22.6-1         Utilities that use the proc filesy
ii  x11-apps                  7.3+4          X applications
ii  x11-common                1:7.3+20       X Window System (X.Org) infrastruc
ii  x11-utils                 7.3+2+nmu1     X11 utilities
ii  x11-xserver-utils         7.3+5          X server utilities

wdm recommends no packages.

Versions of packages wdm suggests:
ii  xfonts-base                   1:1.0.0-5  standard fonts for X

-- debconf information excluded

Reply to: